# NetteSesame

- [Description](#description)
- [Usage](#usage)
- [Author](#author)
- [License](#license)

## Description

Client library for Sesame 2.x which utilises the REST API that it implements.

It requires:

 - **PHP >= 5.3.3**
 - **Nette Framework >= 2.0.0**
 - **Kdyby/Curl >= 1.0.0**

## Installation

```bash
$ composer require stekycz/nette-sesame
```

## Usage

I am assuming at this point you have installed and configured Sesame, have a repository set up and the REST API functioning correctly.

### Extension registration

#### Nette >= 2.1

```yaml
extensions:
    sesame: stekycz\NetteSesame\DI\SesameExtension
```

#### Nette < 2.1

```php
stekycz\NetteSesame\DI\SesameExtension::register($configurator);
```

### Configuration

```yaml
sesame:
    dsl: http://localhost:8080/openrdf-sesame
    repository: null
```

## Author

My name is Martin Štekl. Feel free to contact me on [e-mail](mailto:martin.stekl@gmail.com)
or follow me on [Twitter](https://twitter.com/stekycz).

## License

Copyright (c) 2013 Martin Štekl <martin.stekl@gmail.com>

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without
restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following
conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
